Subject: Cannot generate relocatable object
From: [email-masked]

31 Aug 1997 10:43:20 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0 (generated by tm-edit 7.80)
Content-Type: text/plain; charset=US-ASCII
Original-To: [email-masked]
Original-Sender: [email-masked]

I generated an object file using the -r option of the linker,
but when I link this object to have the final executable I got:

"bad reloc address 0xb in section .text"

My aim is to create a library .a. This has already be done for Sun4OS,
Solaris, DecAlpha, Linux, Aix, HP, and I try to port our software on the
NT platform. The global scheme is:
ld -r -o common.o common1.o common2.o ...
ar ru libcommon.a common.o extra1.o extra2.o

And then:
gcc -o myapp app.c libcommon.a

Direct e-mail answers prefered since I only subscribed to
gnu-win32-announce-request.

Thanks.

-- 

 Xavier Fornari 

==================================================
http://www.inria.fr/meije/personnel/Xavier.Fornari
CMA/MEIJE                 Tel: 33 (0)4 93 65 79 65
INRIA                     Fax: 33 (0)4 93 65 79 98
2004 Route des Lucioles       
BP 93
06902 Sophia-Antipolis Cedex  

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".